/* stylelint-disable selector-descendant-combinator-no-non-space */
$gutter: 3.75rem;
$widthText: calc(#{$max-width} - #{$gutter * 2});

.c-header {
  @include extented-width;

  position: relative;
  width: 100%;
  padding-top: $gutter * 2;
  overflow: hidden;

  // < 600
  @include xs-max {
    padding-top: $gutter * 1.5;
  }
}

.c-header__container {
  @include max-width;
}

.c-header__inner {
  padding-right: $gutter * 2;
  padding-left: $gutter * 2;

  // 601 - 901
  @include sm-only {
    padding-right: $gutter;
    padding-left: $gutter;
  }

  // < 600
  @include xs-max {
    padding-right: $gutter / 2;
    padding-left: $gutter / 2;
  }
}

.c-header--has-image h1,
.c-header__text {
  width: 67.5%;

  // < 767
  @media (max-width: #{$bp-mobile-max}) {
    width: 100%;
  }
}

.c-header h1 {
  margin-bottom: 0;
}

.c-header__text {
  margin-top: rhythm(1.1);

  // 901 - 1200
  @include md-only {
    margin-top: rhythm(0.78);
  }

  // < 900
  @include sm-max {
    margin-top: rhythm(0.5);
  }
}

.c-header__text p {
  font-weight: $font-medium;
  font-size: 28px;
  line-height: 1.428;
  margin-bottom: 0;

  // 901 - 1200
  @include md-only {
    font-size: 22px;
    line-height: 1.3636;
  }

  // < 900
  @include sm-max {
    font-size: 18px;
    line-height: 1.388;
  }
}

.c-header__image {
  position: absolute;
  top: 0;
  right: -10%;
  z-index: -1;

  // 1201 - 1400
  @include lg-only {
    right: -20%;
  }

  // 901 - 1200
  @include md-only {
    right: -30%;
  }

  // 601 - 900
  @include sm-only {
    right: -20%;
  }

  // < 767
  @media (max-width: #{$bp-mobile-max}) {
    display: none;
  }

  img {
    max-width: 700px;
    height: auto;

    // 901 - 1200
    @include md-only {
      max-width: 600px;
    }

    // 601 - 900
    @include sm-only {
      max-width: 400px;
    }
  }
}
